Data Fields
ref_app_breathing_handle Struct Reference

## Data Fields
acc_detector_presence_handle_t * | presence_handle
float | start_m
float | step_length_m
int32_t | start_point
uint16_t | num_points_to_analyze_half_width
uint16_t | num_points_to_analyze
uint16_t | end_point
float | frame_rate
float | lowest_freq
float | highest_freq
uint16_t | use_presence_processor
uint16_t | distance_determination_count
uint16_t | time_series_length_s
uint16_t | time_series_length
uint16_t | padded_time_series_length_shift
uint16_t | padded_time_series_length
uint16_t | num_points
uint16_t | sweeps_per_frame
float | intra_detection_threshold
ref_app_breathing_app_state_t | app_state
ref_app_breathing_app_state_t | prev_app_state
float | presence_sf
float | breathing_sf
float | b_static [(3U)]
float | a_static [(2U)]
float | b_angle [(5U)]
float | a_angle [(4U)]
float complex * | mean_sweep
float complex * | sparse_iq_buffer
float complex * | filt_sparse_iq_buffer
float complex * | filt_sparse_iq
float * | angle
float * | prev_angle
float * | lp_filt_ampl
float * | unwrapped_angle
float * | angle_buffer
float * | filt_angle_buffer
float * | breathing_motion_buffer
float * | hamming_window
float * | windowed_breathing_motion_buffer
float complex * | rfft_output
uint16_t | rfft_output_length
float * | weighted_psd
float | freq_delta
uint16_t | distance_determination_counter
bool | presence_init
float | presence_distance
bool | base_presence_dist
float | base_presence_distance
float | presence_distance_threshold
bool | first
uint16_t | init_count
uint16_t | count
bool | initialized
uint16_t | count_limit

## Detailed Description

Definition at line 23 of file ref_app_breathing.c.

## Field Documentation

## ◆ a_angle

float ref_app_breathing_handle::a_angle[(4U)]

Definition at line 55 of file ref_app_breathing.c.

## ◆ a_static

float ref_app_breathing_handle::a_static[(2U)]

Definition at line 53 of file ref_app_breathing.c.

## ◆ angle

float* ref_app_breathing_handle::angle

Definition at line 61 of file ref_app_breathing.c.

## ◆ angle_buffer

float* ref_app_breathing_handle::angle_buffer

Definition at line 65 of file ref_app_breathing.c.

## ◆ app_state

ref_app_breathing_app_state_t ref_app_breathing_handle::app_state

Definition at line 46 of file ref_app_breathing.c.

## ◆ b_angle

float ref_app_breathing_handle::b_angle[(5U)]

Definition at line 54 of file ref_app_breathing.c.

## ◆ b_static

float ref_app_breathing_handle::b_static[(3U)]

Definition at line 52 of file ref_app_breathing.c.

## ◆ base_presence_dist

bool ref_app_breathing_handle::base_presence_dist

Definition at line 78 of file ref_app_breathing.c.

## ◆ base_presence_distance

float ref_app_breathing_handle::base_presence_distance

Definition at line 79 of file ref_app_breathing.c.

## ◆ breathing_motion_buffer

float* ref_app_breathing_handle::breathing_motion_buffer

Definition at line 67 of file ref_app_breathing.c.

## ◆ breathing_sf

float ref_app_breathing_handle::breathing_sf

Definition at line 50 of file ref_app_breathing.c.

## ◆ count

uint16_t ref_app_breathing_handle::count

Definition at line 83 of file ref_app_breathing.c.

## ◆ count_limit

uint16_t ref_app_breathing_handle::count_limit

Definition at line 85 of file ref_app_breathing.c.

## ◆ distance_determination_count

uint16_t ref_app_breathing_handle::distance_determination_count

Definition at line 37 of file ref_app_breathing.c.

## ◆ distance_determination_counter

uint16_t ref_app_breathing_handle::distance_determination_counter

Definition at line 75 of file ref_app_breathing.c.

## ◆ end_point

uint16_t ref_app_breathing_handle::end_point

Definition at line 32 of file ref_app_breathing.c.

## ◆ filt_angle_buffer

float* ref_app_breathing_handle::filt_angle_buffer

Definition at line 66 of file ref_app_breathing.c.

## ◆ filt_sparse_iq

float complex* ref_app_breathing_handle::filt_sparse_iq

Definition at line 60 of file ref_app_breathing.c.

## ◆ filt_sparse_iq_buffer

float complex* ref_app_breathing_handle::filt_sparse_iq_buffer

Definition at line 59 of file ref_app_breathing.c.

## ◆ first

bool ref_app_breathing_handle::first

Definition at line 81 of file ref_app_breathing.c.

## ◆ frame_rate

float ref_app_breathing_handle::frame_rate

Definition at line 33 of file ref_app_breathing.c.

## ◆ freq_delta

float ref_app_breathing_handle::freq_delta

Definition at line 73 of file ref_app_breathing.c.

## ◆ hamming_window

float* ref_app_breathing_handle::hamming_window

Definition at line 68 of file ref_app_breathing.c.

## ◆ highest_freq

float ref_app_breathing_handle::highest_freq

Definition at line 35 of file ref_app_breathing.c.

## ◆ init_count

uint16_t ref_app_breathing_handle::init_count

Definition at line 82 of file ref_app_breathing.c.

## ◆ initialized

bool ref_app_breathing_handle::initialized

Definition at line 84 of file ref_app_breathing.c.

## ◆ intra_detection_threshold

float ref_app_breathing_handle::intra_detection_threshold

Definition at line 44 of file ref_app_breathing.c.

## ◆ lowest_freq

float ref_app_breathing_handle::lowest_freq

Definition at line 34 of file ref_app_breathing.c.

## ◆ lp_filt_ampl

float* ref_app_breathing_handle::lp_filt_ampl

Definition at line 63 of file ref_app_breathing.c.

## ◆ mean_sweep

float complex* ref_app_breathing_handle::mean_sweep

Definition at line 57 of file ref_app_breathing.c.

## ◆ num_points

uint16_t ref_app_breathing_handle::num_points

Definition at line 42 of file ref_app_breathing.c.

## ◆ num_points_to_analyze

uint16_t ref_app_breathing_handle::num_points_to_analyze

Definition at line 31 of file ref_app_breathing.c.

## ◆ num_points_to_analyze_half_width

uint16_t ref_app_breathing_handle::num_points_to_analyze_half_width

Definition at line 30 of file ref_app_breathing.c.

## ◆ padded_time_series_length

uint16_t ref_app_breathing_handle::padded_time_series_length

Definition at line 41 of file ref_app_breathing.c.

## ◆ padded_time_series_length_shift

uint16_t ref_app_breathing_handle::padded_time_series_length_shift

Definition at line 40 of file ref_app_breathing.c.

## ◆ presence_distance

float ref_app_breathing_handle::presence_distance

Definition at line 77 of file ref_app_breathing.c.

## ◆ presence_distance_threshold

float ref_app_breathing_handle::presence_distance_threshold

Definition at line 80 of file ref_app_breathing.c.

## ◆ presence_handle

acc_detector_presence_handle_t* ref_app_breathing_handle::presence_handle

Definition at line 25 of file ref_app_breathing.c.

## ◆ presence_init

bool ref_app_breathing_handle::presence_init

Definition at line 76 of file ref_app_breathing.c.

## ◆ presence_sf

float ref_app_breathing_handle::presence_sf

Definition at line 49 of file ref_app_breathing.c.

## ◆ prev_angle

float* ref_app_breathing_handle::prev_angle

Definition at line 62 of file ref_app_breathing.c.

## ◆ prev_app_state

ref_app_breathing_app_state_t ref_app_breathing_handle::prev_app_state

Definition at line 47 of file ref_app_breathing.c.

## ◆ rfft_output

float complex* ref_app_breathing_handle::rfft_output

Definition at line 70 of file ref_app_breathing.c.

## ◆ rfft_output_length

uint16_t ref_app_breathing_handle::rfft_output_length

Definition at line 71 of file ref_app_breathing.c.

## ◆ sparse_iq_buffer

float complex* ref_app_breathing_handle::sparse_iq_buffer

Definition at line 58 of file ref_app_breathing.c.

## ◆ start_m

float ref_app_breathing_handle::start_m

Definition at line 27 of file ref_app_breathing.c.

## ◆ start_point

int32_t ref_app_breathing_handle::start_point

Definition at line 29 of file ref_app_breathing.c.

## ◆ step_length_m

float ref_app_breathing_handle::step_length_m

Definition at line 28 of file ref_app_breathing.c.

## ◆ sweeps_per_frame

uint16_t ref_app_breathing_handle::sweeps_per_frame

Definition at line 43 of file ref_app_breathing.c.

## ◆ time_series_length

uint16_t ref_app_breathing_handle::time_series_length

Definition at line 39 of file ref_app_breathing.c.

## ◆ time_series_length_s

uint16_t ref_app_breathing_handle::time_series_length_s

Definition at line 38 of file ref_app_breathing.c.

## ◆ unwrapped_angle

float* ref_app_breathing_handle::unwrapped_angle

Definition at line 64 of file ref_app_breathing.c.

## ◆ use_presence_processor

uint16_t ref_app_breathing_handle::use_presence_processor

Definition at line 36 of file ref_app_breathing.c.

## ◆ weighted_psd

float* ref_app_breathing_handle::weighted_psd

Definition at line 72 of file ref_app_breathing.c.

## ◆ windowed_breathing_motion_buffer

float* ref_app_breathing_handle::windowed_breathing_motion_buffer

Definition at line 69 of file ref_app_breathing.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/reference_apps/ref_app_breathing.c